<?php
include_once '../sys/inc/start.php';
$doc = new document(2);
$doc -> title = 'Удаление темы';


if (!isset($_GET['id']) || !is_numeric($_GET['id']))
{
header('Refresh: 1; url=./');
$doc->err('Ошибка выбора темы');
exit;
}
$id_theme=(int)$_GET['id'];

$q=mysql_query("SELECT * FROM `forum_themes` WHERE `id` = '$id_theme' AND `group_edit` <= '$user->group'");

if (!mysql_num_rows($q))
{
header('Refresh: 1; url=./');
$doc->err('Тема не доступна для редактирования');
exit;
}

$theme=mysql_fetch_assoc($q);

$doc -> title .= ' "'.$theme['name'].'"';


if (isset($_POST['delete']))
{
if (!isset($_SESSION['captcha']) || !isset($_POST['chislo']) || $_SESSION['captcha']!=$_POST['chislo']){$doc->err('Проверочное число введено неверно');}
else
{
// блокируем таблицы
mysql_query("LOCK TABLES `forum_themes` WRITE READ, `forum_messages` WRITE READ, `forum_history` WRITE READ, `forum_vote` WRITE READ, `forum_vote_votes` WRITE READ");

mysql_query("DELETE
FROM `forum_messages`, `forum_history`
USING `forum_messages`
LEFT JOIN `forum_history` ON `forum_history`.`id_message` = `forum_messages`.`id`
WHERE `forum_messages`.`id_theme` = '$theme[id]'");

mysql_query("DELETE FROM `forum_vote` WHERE `id_theme` = '$theme[id]'");
mysql_query("DELETE FROM `forum_vote_votes` WHERE `id_theme` = '$theme[id]'");
mysql_query("DELETE FROM `forum_themes` WHERE `id` = '$theme[id]' LIMIT 1");
// оптимизация таблиц после удаления данных
mysql_query("OPTIMIZE TABLE `forum_themes`, `forum_messages`, `forum_history`, `forum_vote`, `forum_vote_votes`");
// разблокируем таблицы
mysql_query("UNLOCK TABLES");

// удаление всех файлов темы
	$dir = new files(FILES.'/.forum/'.$theme['id']);
	$dir -> delete();
	unset($dir);

header('Refresh: 1; url=topic.php?id='.$theme['id_topic']);
$doc->msg('Тема успешно удалена');
exit;
}
}




$smarty = new design();
$smarty->assign('method','post');
$smarty->assign('action',"?id=$theme[id]&amp;".passgen());
$elements=array();
$elements[]=array('type'=>'captcha','br'=>1);
$elements[]=array('type'=>'text','value'=>'* Все данные, относящиеся к данной теме будут безвозвратно удалены.','br'=>1);
$elements[]=array('type'=>'submit', 'br'=>0, 'info'=>array('name'=>'delete', 'value'=>'Удалить')); // кнопка
$smarty->assign('el',$elements);
$smarty->display('input.form.tpl');

if (isset($_GET['return']))$doc->ret('В тему',for_value($_GET['return']));
else
$doc->ret('В тему','theme.php?id='.$theme['id']);


$doc->ret('В раздел','topic.php?id='.$theme['id_topic']);
$doc->ret('В категорию','category.php?id='.$theme['id_category']);
$doc->ret('Форум','./');

?>